import 'bootstrap/dist/css/bootstrap.min.css';
import './App.css';
import './Css/all.css'
import { createContext } from 'react'
import { BrowserRouter as Router } from "react-router-dom";
import { Container } from 'react-bootstrap'


import { Header } from './Components/Header';
import { SideBar } from './Components/Sidebar';


const GATEWAY =  {
    dev : {
        API : 'http://localhost:8000',
    },
    pro : {
        API : '',
    }
}

export const API_GATEWAY = createContext(GATEWAY)


function App() {
    return (
        <Router>
            <API_GATEWAY.Provider value={GATEWAY.dev}>
                <Container fluid>
                    <Header/>
                    <SideBar/>
                </Container>
            </API_GATEWAY.Provider>
        </Router>
    );
}

export default App;
